using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsServiceType {
        public BemsServiceType() {
            BemsDeviceRunHistory = new HashSet<BemsDeviceRunHistory>();
            BemsDeviceRunHourly = new HashSet<BemsDeviceRunHourly>();
            BemsEnergyDaily = new HashSet<BemsEnergyDaily>();
            BemsLoadsHourly = new HashSet<BemsLoadsHourly>();
            BemsMonitoringPoint = new HashSet<BemsMonitoringPoint>();
            BemsMonitoringPointBaseData = new HashSet<BemsMonitoringPointBaseData>();
            BemsZoneActivate = new HashSet<BemsZoneActivate>();
        }
        //관제점 용도 타입
        [Display(Name = "관제점 용도 타입ID"), Key]
        public short? ServiceTypeId { get; set; }
        [Display(Name = "관제점 용도 이름")]
        [StringLength(48)]
        public string Name { get; set; }

        [InverseProperty("ServiceType")]
        public virtual ICollection<BemsDeviceRunHistory> BemsDeviceRunHistory { get; set; }
        [InverseProperty("ServiceType")]
        public virtual ICollection<BemsDeviceRunHourly> BemsDeviceRunHourly { get; set; }
        [InverseProperty("ServiceType")]
        public virtual ICollection<BemsEnergyDaily> BemsEnergyDaily { get; set; }
        [InverseProperty("ServiceType")]
        public virtual ICollection<BemsLoadsHourly> BemsLoadsHourly { get; set; }
        [InverseProperty("ServiceType")]
        public virtual ICollection<BemsMonitoringPoint> BemsMonitoringPoint { get; set; }
        [InverseProperty("ServiceType")]
        public virtual ICollection<BemsMonitoringPointBaseData> BemsMonitoringPointBaseData { get; set; }
        [InverseProperty("ServiceType")]
        public virtual ICollection<BemsZoneActivate> BemsZoneActivate { get; set; }
    }
}
